# ApplicationFramework
PTKernel
PColStd

# PColStd_HArray2OfReal Class Reference

`#include <PColStd_HArray2OfReal.hxx>`

## Public Member Functions

Standard_EXPORT | PColStd_HArray2OfReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColStd_HArray2OfReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Standard_Real &V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Real &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT Standard_Real | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColStd_HArray2OfReal ()
| PColStd_HArray2OfReal (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfRealmyLowerRow () const
void | _CSFDB_SetPColStd_HArray2OfRealmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfRealmyLowerCol () const
void | _CSFDB_SetPColStd_HArray2OfRealmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfRealmyUpperRow () const
void | _CSFDB_SetPColStd_HArray2OfRealmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColStd_HArray2OfRealmyUpperCol () const
void | _CSFDB_SetPColStd_HArray2OfRealmyUpperCol (const Standard_Integer p)
const PColStd_FieldOfHArray2OfReal & | _CSFDB_GetPColStd_HArray2OfRealData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColStd_FieldOfHArray2OfReal | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColStd_FieldOfHArray2OfReal | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HArray2OfReal::PColStd_HArray2OfReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColStd_HArray2OfReal::PColStd_HArray2OfReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Standard_Real & | V
| ) |

PColStd_HArray2OfReal::PColStd_HArray2OfReal | ( |  | ) | `[inline]`

PColStd_HArray2OfReal::PColStd_HArray2OfReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColStd_FieldOfHArray2OfReal& PColStd_HArray2OfReal::_CSFDB_GetPColStd_HArray2OfRealData | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfReal::_CSFDB_GetPColStd_HArray2OfRealmyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfReal::_CSFDB_GetPColStd_HArray2OfRealmyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfReal::_CSFDB_GetPColStd_HArray2OfRealmyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColStd_HArray2OfReal::_CSFDB_GetPColStd_HArray2OfRealmyUpperRow | ( |  | ) | const`[inline]`

void PColStd_HArray2OfReal::_CSFDB_SetPColStd_HArray2OfRealmyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray2OfReal::_CSFDB_SetPColStd_HArray2OfRealmyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray2OfReal::_CSFDB_SetPColStd_HArray2OfRealmyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColStd_HArray2OfReal::_CSFDB_SetPColStd_HArray2OfRealmyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColStd_HArray2OfReal::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColStd_HArray2OfReal::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColStd_FieldOfHArray2OfReal PColStd_HArray2OfReal::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColStd_HArray2OfReal::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColStd_HArray2OfReal::LowerCol | ( |  | ) | const

Standard_Integer PColStd_HArray2OfReal::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColStd_HArray2OfReal::RowLength | ( |  | ) | const

Standard_EXPORT void PColStd_HArray2OfReal::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Real & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColStd_HArray2OfReal::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColStd_HArray2OfReal::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColStd_HArray2OfReal::UpperCol | ( |  | ) | const

Standard_Integer PColStd_HArray2OfReal::UpperRow | ( |  | ) | const

Standard_EXPORT Standard_Real PColStd_HArray2OfReal::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColStd_FieldOfHArray2OfReal PColStd_HArray2OfReal::Data `[private]`

Standard_Integer PColStd_HArray2OfReal::myLowerCol `[private]`

Standard_Integer PColStd_HArray2OfReal::myLowerRow `[private]`

Standard_Integer PColStd_HArray2OfReal::myUpperCol `[private]`

Standard_Integer PColStd_HArray2OfReal::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- PColStd_HArray2OfReal.hxx